Device Details API

You can retrieve connection status and summary information for Fireboxes, FireClusters, and Access Points in your WatchGuard Cloud account.

Retrieves a list of Fireboxes, FireClusters, and Access Points for the specified WatchGuard Cloud account. You can specify a type of device in the device_type parameter to filter the list with Fireboxes and FireClusters (FB) or Access Points (AP) details. To get details of a specific device, specify the device ID in the device parameter. For Service Provider accounts, set include_hierarchy to true to include devices from Subscriber accounts. Subscriber accounts ignore this parameter. The device and include_hierarchy parameters are mutually exclusive.

The device and device_type parameters are mutually exclusive. If you specify both parameters, the API returns a 400 error.

Retrieve Device Details

/{v1}/info/{accountid}/devices

Make a request to this endpoint to retrieve a list of devices or details of a specific device for a WatchGuard Cloud account.

Path Parameters

When you send a request to this endpoint, you must include these path parameters:

accountid
string
REQUIRED

Your WatchGuard Cloud account ID. You can see your accountId on the My Account page in WatchGuard Cloud.

Example: WGC-1-123abc456 or ACC-1234567

Query Parameters

When you send a request to this endpoint, you can include these request parameters:

device_type
string

Specifies the type of device to get in the response. The allowed values are:

  • ALL — Fireboxes, FireClusters, and Access Points
  • FB — Fireboxes and FireClusters only
  • AP — Access Points only

If not specified, all device types are returned. The device and device_type parameters are mutually exclusive.

include_hierarchy
boolean

Specifies whether to retrieve a list of Fireboxes from the linked Subscriber accounts of a Service Provider account. Applicable only if the specified accountid is a Service Provider account.

The device and include_hierarchy parameters are mutually exclusive.

The allowed values are:

  • true
  • false

Default: false.

device
string

Specifies the device ID you want to get the details for. For Access Points and FireClusters, you must specify the AP- and FBCL- prefixes respectively. For example, AP-12345 or FBCL-266366. For Fireboxes, the FB- prefix is optional. For example, 59432 or FB-59432.

The device parameter cannot be combined with include_hierarchy or device_type.

Example: FB-59432

Example: FBCL-266366

Example: AP-12345

Example Request

This request retrieves a list of Fireboxes, FireClusters, and Access Points for the specified WatchGuard Cloud account:

curl -X GET https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/info/WGC-1-123abc456/devices
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
	-H 'Accept: application/json'
	-H 'Content-Type: application/json'
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'

This request retrieves Fireboxes and FireClusters only:

curl -X GET https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/info/WGC-1-123abc456/devices?device_type=FB
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
	-H 'Accept: application/json'
	-H 'Content-Type: application/json'
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'

This request retrieves details for the specified device:

curl -X GET https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/info/WGC-1-123abc456/devices?device=FB-59432
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
	-H 'Accept: application/json'
	-H 'Content-Type: application/json'
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'

Example Response

The response returns a list of devices for the account in JSON format:

{
    "count": 1,
    "data": [
        {
            "id": "FB-59432",
            "name": "voodoo20feb-fbx",
            "short_model_name": "M300",
            "serial_number": "voodoo20FEB0001",
            "version": "2025.1.1",
            "uptime": "",
            "cloud_managed": "yes",
            "logging": "yes",
            "public_ip_address": "203.0.113.2",
            "offline_since": "2024-06-15T14:32:10Z",
            "state": "never connected"
        }
    ]
}

When the device query parameter is set, the response returns the details of the specified device with a count of 1.

Data returned in the response includes the following parameters:

count
integer

Total number of devices returned in this response.

data
array

List of device detail objects.

id
string

Unique ID that identifies this device, including the required prefix (for example, FB-59432, FBCL-266366, or AP-12345).

Example: FB-59432

name
string

Friendly name of the device.

Example: voodoo20feb-fbx

short_model_name
string

Indicates the short model name (for example, M300, T70).

Example: M300

serial_number
string

Indicates the device serial number.

Example: voodoo20FEB0001

version
string

Indicates the current firmware version.

Example: 2025.1.1

uptime
string

Indicates the time since a device is online. Returns a value only if state is online. If the state is not online, returns an empty value.

Formatted as days and time (for example, 192 Days, 23:27).

Example: 192 Days, 23:27

cloud_managed
string

Indicates whether the device is cloud-managed. The allowed values are yes and no.

Example: yes

logging
string

Indicates whether logging is enabled. The allowed values are yes and no.

Example: yes

public_ip_address
string

Provides the public IPv4 address of the device.

Example: 203.0.113.2

offline_since
string

Provides the ISO 8601 timestamp when the device went offline. Returns an empty value when the state is online or never connected.

Example: 2024-06-15T14:32:10Z

state
string

Indicates the current connection state. The allowed values are online, offline, never connected, and inactive.

Example: never connected